
//--- Character introduction
_playerID = [1,0] select (player == bis_player1);
_names = ["Brian Frost","Henry Asano",name bis_boss,name bis_dixon,name bis_tanny,name bis_pmc1,name bis_pmc2];
{
	_info = localize format ["STR_PMC_CP01_INFO_%1_%2",_playerID,vehiclevarname _x];
	_x setvariable [
		"BIS_info",
		format ["<t align='left'>%1<br /><t size='0.5'>%2</t></t>",_names select _forEachIndex,_info]
	];
} foreach [bis_player1,bis_player2,bis_boss,bis_dixon,bis_tanny,bis_pmc1,bis_pmc2];

[] spawn {scopename "CP01: Character info";
	sleep 0.1;
	if (bis_contact) exitwith {};
	disableserialization;

	21 cutrsc ["rscDynamicText","plain"];

	#define DISPLAY	(uinamespace getvariable "BIS_dynamicText")
	#define CONTROL	(DISPLAY displayctrl 9999)

	_w = 1;//0.5;
	_h = 1;//0.3;

	CONTROL ctrlsetposition [
		0,
		0,
		_w,
		_h
	];
	CONTROL ctrlsetfade 1;
	CONTROL ctrlcommit 0;

	while {!BIS_contact} do {
		_target = cursortarget;
		if (!isnull _target && !visiblemap) then {
			_pos = [getposatl _target select 0,getposatl _target select 1,(getposatl _target select 2) + 1.5];
			_pos2D = worldtoscreen _pos;
			_text = _target getvariable "BIS_info";
			if (count _pos2D > 0 && !isnil "_text") then {
				CONTROL ctrlsetposition [
					(_pos2D select 0)+0.1,
					(_pos2D select 1),
					_w,
					_h
				];
				CONTROL ctrlsetstructuredtext parsetext _text;
				CONTROL ctrlsetfade 0;
				CONTROL ctrlcommit 0.01;

			} else {
				CONTROL ctrlsetfade 1;
				CONTROL ctrlcommit 0.1;
			};
		} else {
			CONTROL ctrlsetfade 1;
			CONTROL ctrlcommit 0.1;
		};
		sleep 0.01;
	};

	21 cuttext ["","plain"];
};